"use strict";
/*
 * Copyright (C) 2018 Shuma Yoshioka
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var install_1 = require("./module/install");
__export(require("./browser/index"));
__export(require("./express/index"));
__export(require("./nodeHttp/index"));
var VueUniversalCookies = /** @class */ (function () {
    function VueUniversalCookies(options) {
        this.handler = options.handler;
    }
    VueUniversalCookies.prototype.get = function (key) {
        return this.handler.get(key);
    };
    VueUniversalCookies.prototype.set = function (key, value, options) {
        return this.handler.set(key, value, options);
    };
    return VueUniversalCookies;
}());
VueUniversalCookies.install = install_1.install;
if (typeof window !== 'undefined' && typeof window.Vue !== 'undefined') {
    var instanceOfVue = window.Vue;
    instanceOfVue.use(VueUniversalCookies);
}
exports.default = VueUniversalCookies;
